package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class StudentPaymentOrderRouteDto extends StudentPaymentOrder {
    //汇付手续费
    @ApiModelProperty(value = "汇付手续费",required = true)
    private BigDecimal transferFee = BigDecimal.ZERO;

    //平台手续费
    @ApiModelProperty(value = "平台手续费",required = true)
    private BigDecimal platformFee = BigDecimal.ZERO;

    //收款账户
    @ApiModelProperty(value = "收款账户",required = true)
    private String routeMerNo;

    //分润金额
    @ApiModelProperty(value = "分润金额",required = true)
    private BigDecimal routeAmount;

    //分润余额
    @ApiModelProperty(value = "分润余额",required = true)
    private BigDecimal routeBalance;

    //分润中的销售费用
    @ApiModelProperty(value = "分润中的销售费用",required = true)
    private BigDecimal saleAmount = BigDecimal.ZERO;

    //分润中的服务费用
    @ApiModelProperty(value = "分润中的服务费用",required = true)
    private BigDecimal serviceAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "服务费",required = true)
    private BigDecimal serviceFee = BigDecimal.ZERO;

    public BigDecimal getTransferFee() {
        return transferFee;
    }

    public void setTransferFee(BigDecimal transferFee) {
        this.transferFee = transferFee;
    }

    public BigDecimal getPlatformFee() {
        return platformFee;
    }

    public void setPlatformFee(BigDecimal platformFee) {
        this.platformFee = platformFee;
    }

    public String getRouteMerNo() {
        return routeMerNo;
    }

    public void setRouteMerNo(String routeMerNo) {
        this.routeMerNo = routeMerNo;
    }

    public BigDecimal getRouteAmount() {
        return routeAmount;
    }

    public void setRouteAmount(BigDecimal routeAmount) {
        this.routeAmount = routeAmount;
    }

    public BigDecimal getRouteBalance() {
        return routeBalance;
    }

    public void setRouteBalance(BigDecimal routeBalance) {
        this.routeBalance = routeBalance;
    }

    public BigDecimal getSaleAmount() {
        return saleAmount;
    }

    public void setSaleAmount(BigDecimal saleAmount) {
        this.saleAmount = saleAmount;
    }

    public BigDecimal getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(BigDecimal serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public BigDecimal getServiceFee() {
        return serviceFee;
    }

    public void setServiceFee(BigDecimal serviceFee) {
        this.serviceFee = serviceFee;
    }
}
