package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.DegreeRegistrationActivityDto;
import com.ym.mec.biz.dal.dto.PageInfoDegree;
import com.ym.mec.biz.dal.entity.DegreeRegistration;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.page.DegreeQueryInfo;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.util.date.DateUtil;

import java.util.Arrays;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public interface DegreeRegistrationService extends BaseService<Integer, DegreeRegistration> {

    String ACTIVITY_TAG = "DEGREE_REGISTRATION_2020_12";

    HttpResponseResult pay(DegreeRegistrationActivityDto degreeRegistration) throws Exception;

    Boolean updateStatus(StudentPaymentOrder order);

    PageInfoDegree<DegreeRegistration> getPageList(DegreeQueryInfo queryInfo);

    HttpResponseResult check(DegreeRegistrationActivityDto degreeRegistration);

    //考级退费
    int refund(Integer degreeRegistrationId);
}
